com.hazelcast.core

## Class AbstractIMapEvent

- java.lang.Object
- - java.util.EventObject
  - - com.hazelcast.core.AbstractIMapEvent

- All Implemented Interfaces:
    IMapEvent, Serializable
  Direct Known Subclasses:
    EntryEvent, MapEvent, MapPartitionLostEvent

      public abstract class AbstractIMapEvent
      extends EventObject
      implements IMapEvent

  The abstract class for a map event `IMapEvent`.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `name`

    - ### Fields inherited from class java.util.EventObject

      `source`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractIMapEvent(Object source, Member member, int eventType)` Constructs a prototypical map Event.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `EntryEventType` | `getEventType()` Returns the event type `EntryEventType`.
    `Member` | `getMember()` Returns the member that fired this event.
    `String` | `getName()` Returns the name of the map for this event.
    `Object` | `getSource()` Returns the object on which the event initially occurred.
    `String` | `toString()` Returns a String representation of this event.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### name

          protected final String name

  - ### Constructor Detail

    - #### AbstractIMapEvent

          public AbstractIMapEvent(Object source,
                                   Member member,
                                   int eventType)

      Constructs a prototypical map Event.
      Parameters:
        `source` - The object on which the Event initially occurred.
        `member` - The interface to the cluster member (node).
        `eventType` - The event type as an enum `EntryEventType` integer.
      Throws:
        `IllegalArgumentException` - if source is null.

  - ### Method Detail

    - #### getSource

          public Object getSource()

      Returns the object on which the event initially occurred.
      Overrides:
        `getSource` in class `EventObject`
      Returns:
        The object on which the event initially occurred.

    - #### getMember

          public Member getMember()

      Returns the member that fired this event.
      Specified by:
        `getMember` in interface `IMapEvent`
      Returns:
        The member that fired this event.

    - #### getEventType

          public EntryEventType getEventType()

      Returns the event type `EntryEventType`.
      Specified by:
        `getEventType` in interface `IMapEvent`
      Returns:
        The event type `EntryEventType`.

    - #### getName

          public String getName()

      Returns the name of the map for this event.
      Specified by:
        `getName` in interface `IMapEvent`
      Returns:
        The name of the map for this event.

    - #### toString

          public String toString()

      Returns a String representation of this event.
      Overrides:
        `toString` in class `EventObject`
      Returns:
        A String representation of this event.

Copyright © 2019. All rights reserved.